Guest comment status
GET
/v1/data/{artifactId}/comments/_guest
const url = 'https://shareout.site/v1/data/example/comments/_guest';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/data/example/comments/_guestWhether guests may comment here for this requester, and the signed-in guest’s own name (never an email).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”artifactId
required
string
Artifact ID (e.g. art_abc123).
Responses
Section titled “Responses”Status
Media typeapplication/json
object
success
boolean
data
object
enabled
boolean
guest
object
name
string
Examplegenerated
{ "success": true, "data": { "enabled": true, "guest": { "name": "example" } }}